<?php header("Content-type: image/svg+xml");
$nbquart=0;
$nbtaille=0;
$file_data="";
$file_carte="";

function init_pays($pays)
{global $file_data,$file_carte;
switch($pays)
{CASE "USA-Etats":
$file_data="usa_data.php3";
$file_carte="usa_carte.php3";
break;
CASE "France-Regions":
$file_data="regions_data.php3";
$file_carte="regions_carte.php3";
break;
CASE "Europe-Pays":
$file_data="europe_data.php3";
$file_carte="europe_carte.php3";
break;
CASE "CEE-Pays":
$file_data="cee_data.php3";
$file_carte="cee_carte.php3";
break;
CASE "Afrique-Pays":
$file_data="afrique_data.php3";
$file_carte="afrique_carte.php3";
break;
CASE "Amrique-Sud-Pays":
$file_data="am_sud_data.php3";
$file_carte="am_sud_carte.php3";
break;
CASE "Amrique-Centrale-Pays":
$file_data="am_centrale_data.php3";
$file_carte="am_centrale_carte.php3";
break;
}}

function analyse_quartile($quart,&$nbquart)
{global $remp;
if (($quart!="N")&&(strpos($quart,";")>0))
{$i=0;
while (strpos($quart,";")>0)
{$i=$i+1;$quartiles[$i] = substr($quart,0,strpos($quart,";"));
$quart=substr($quart,strpos($quart,";")+1,strlen($quart));}
$i=$i+1;$quartiles[$i]=$quart;
if ($remp!=2) {$nbquart=$i-1;} else {$nbquart=$i;}}
else
{if ($quart!="N") {$nbquart=1;$quartiles[1]=$quart;} else {$nbquart=0;}}
return $quartiles;}

function analyse_couleur($coul)
{global $quartiles,$nbquart;
for ($i=1;$i<=5;$i++)
{$couleur[$i] = substr($coul,0,strpos($coul,";"));
$coul=substr($coul,strpos($coul,";")+1,strlen($coul));}
$couleur[6]=$coul;
if ($couleur[1]=="N") {$couleur[1]="LightGray";}
$max_couleurs=6;
if ($nbquart>6) {$max_couleurs=$nbquart;}
if (($nbquart==1)&&($quartiles[1]>6)) {$max_couleurs=$quartiles[1];}
for ($i=2;$i<=$max_couleurs;$i++)
{if (($couleur[$i]=="N")||($couleur[$i]=="")) {$couleur[$i]=$couleur[1];}}
return $couleur;}

function analyse_couleur2($coul2)
{for ($i=1;$i<=3;$i++)
{$couleur2[$i] = substr($coul2,0,strpos($coul2,";"));
$coul2=substr($coul2,strpos($coul2,";")+1,strlen($coul2));}
$couleur2[4]=$coul2;
return $couleur2;}

function analyse_donnees($don3)
{for ($i=1;$i<=4;$i++)
{$donnees_s[$i] = substr($don3,0,strpos($don3,";"));
$don3=substr($don3,strpos($don3,";")+1,strlen($don3));}
$donnees_s[5]=$don3;
return $donnees_s;}

function analyse_motif($motif)
{for ($i=1;$i<=5;$i++)
{$motifs[$i] = substr($motif,0,strpos($motif,";"));
$motif=substr($motif,strpos($motif,";")+1,strlen($motif));}
$motifs[6]=$motif;
return $motifs;}

function analyse_opacite($opa,&$nbquart)
{global $quartiles;
$nbopa=0;
if (($opa!="N")&&(strpos($opa,";")>0))
{$i=0;
while (strpos($opa,";")>0)
{$i=$i+1;$opacites[$i] = substr($opa,0,strpos($opa,";"));
$opa=substr($opa,strpos($opa,";")+1,strlen($opa));}
$i=$i+1;$opacites[$i]=$opa;$nbopa=$i;}
else
{if ($opa!="N") {$opacites[1]=$opa;} else {$opacites[1]=0.6;}
if (($nbquart==1)&&($nbopa<$quartiles[1]))
{$nbquart=$quartiles[1];
for ($i=1;$i<=$nbquart;$i++)
{$opacites[$i]=$i/$nbquart;}$nbquart=1;}
if (($nbquart>1)&&($nbopa<$nbquart))
{for ($i=1;$i<=$nbquart;$i++)
{$opacites[$i]=$i/$nbquart;}}}
return $opacites;}

function analyse_taille($taille)
{if (($taille!="N")&&(strpos($taille,";")>0))
{$i=0;
while (strpos($taille,";")>0)
{$i=$i+1;$tailles[$i] = substr($taille,0,strpos($taille,";"));
$taille=substr($taille,strpos($taille,";")+1,strlen($taille));}
$i=$i+1;$tailles[$i]=$taille;}
else
{if ($taille!="N") {$tailles[1]=$taille;}}
return $tailles;}

function minmax($col1,$col2)
{global $mini,$maxi,$donnees,$nbregions;
$mini="N/A";
$maxi="N/A";
for ($i=1;$i<=$nbregions;$i++)
{if ($col2!=-1) {if (($donnees[$i][$col1]!="N/A")&&($donnees[$i][$col2]!="N/A"))
{$valeur=$donnees[$i][$col1]/$donnees[$i][$col2];} else {$valeur="N/A";}} 
else 
{if ($donnees[$i][$col1]!="N/A") {$valeur=$donnees[$i][$col1];} else {$valeur="N/A";}}
if ($valeur!="N/A")
{if ($mini!="N/A") {if ($valeur<$mini) {$mini=$valeur;};
if ($valeur>$maxi) {$maxi=$valeur;}} else
{$mini=$valeur;$maxi=$valeur;}}}
}

function remplirSVG($remp,&$couleur,&$quartiles,$opacites)
{global $nbregions,$nbquart,$don1,$don2,$donnees,$mini,$maxi,$motifs;
for ($i=1;$i<=6;$i++)
{if ($motifs[$i]>0) {$couleur[$i]="url(#pattern".$motifs[$i].")";}}
if (($nbquart==0)&&($remp!=0)) {$remplir=0;} else {$remplir=$remp;}
switch($remplir)
{CASE 0:
for ($i=1;$i<=$nbregions;$i++)
{$styles[$i]="fill:".$couleur[1].";fill-opacity:".$opacites[1];}
break;
CASE 1:
if ($nbquart==1) 
{minmax($don1,$don2);$nbquart=$quartiles[1];
for ($i=1;$i<=$nbquart;$i++) {$quartiles[$i]=$mini+($maxi-$mini)*$i/$nbquart;};
$quartiles[1]=$mini-1;$quartiles[$nbquart+1]=maxi+1;}
for ($i=1;$i<=$nbregions;$i++)
{if ($don2!=-1) {if (($donnees[$i][$don1]!="N/A")&&($donnees[$i][$don2]!="N/A"))
{$valeur=$donnees[$i][$don1]/$donnees[$i][$don2];} else {$valeur="N/A";}} 
else 
{if ($donnees[$i][$don1]!="N/A") {$valeur=$donnees[$i][$don1];} else {$valeur="N/A";}}
if ($valeur!="N/A")
{for ($j=1;$j<=$nbquart;$j++)
{if (($valeur>=$quartiles[$j])&&($valeur<=$quartiles[$j+1]))
{$styles[$i]="fill:".$couleur[$j].";fill-opacity:".$opacites[$j];
}}}
else
{$styles[$i]="fill:white;fill-opacity:0.5";}}
break;
CASE 2:
for ($i=1;$i<=$nbregions;$i++)
{$styles[$i]="fill:white;fill-opacity:0.5";
for ($j=1;$j<=$nbquart;$j++)
{if ($donnees[$i][$don1]==$quartiles[$j])
{$styles[$i]="fill:".$couleur[$j].";fill-opacity:".$opacites[$j];}}}
break;
}
return $styles;}

function symbolesSVG($symb,$donnees_s,&$couleur2,&$opa2,&$tailles)
{global $donnees,$mini,$maxi,$nbregions,$taille;
if ($symb>0)
{$coul_def[1]="red";$coul_def[2]="blue";$coul_def[3]="green";$coul_def[4]="yellow";$coul_def[5]="gray";
if ($opa2=="N") {$opa2=0.5;}
if (strpos($opa2,";")>0) {$opa2 = substr($opa2,0,strpos($opa2,";"));}
switch($symb)
{CASE 1:
if ($couleur2[1]=="N") {$couleur2[1]=$coul_def[1];}
if ($taille=="N") {$tailles[1]=50;$tailles[2]=300;}
minmax($donnees_s[1],$donnees_s[5]);
for ($i=1;$i<=$nbregions;$i++)
{$symboles[$i]=" ";
if ($donnees_s[5]!=-1) {if (($donnees[$i][$donnees_s[1]]!="N/A")&&($donnees[$i][$donnees_s[5]]!="N/A"))
{$valeur=$donnees[$i][$donnees_s[1]]/$donnees[$i][$donnees_s[5]];} else {$valeur="N/A";}} 
else 
{if ($donnees[$i][$donnees_s[1]]!="N/A") {$valeur=$donnees[$i][$donnees_s[1]];} else {$valeur="N/A";}}
if ($valeur!="N/A")
{$rayon=$tailles[1]+($tailles[2]-$tailles[1])*($valeur-$mini)/($maxi-$mini);
$symboles[$i]="<circle id='disque".$i."' cx='".$donnees[$i][1]."' cy='".$donnees[$i][2]."' r='".$rayon."' style='fill:".$couleur2[1].";fill-opacity:".$opa2."' />\n";
}}
break;
CASE 2:
$coul_def[1]="red";$coul_def[2]="blue";$coul_def[3]="green";$coul_def[4]="yellow";$coul_def[5]="gray";
if ($taille=="N") {$tailles[1]=400;}
$nbparts=0;
for ($i=1;$i<=4;$i++)
{if ($donnees_s[$i]!=-1) {$nbparts=$nbparts+1;}}
for ($i=1;$i<=$nbparts+1;$i++)
{if ($couleur2[$i]=="N") {$couleur2[$i]=$coul_def[$i];}}
for ($i=1;$i<=$nbregions;$i++)
{$symboles[$i]=" ";
if (($nbparts>1)&&($donnees_s[5]!=-1))
{$xA=$tailles[1]+$donnees[$i][1];$yA=$donnees[$i][2];$angle=0;
for ($j=1;$j<=$nbparts;$j++)
{$angle1=2*M_PI*$donnees[$i][$donnees_s[$j]]/$donnees[$i][$donnees_s[5]];
$angle=$angle+$angle1;
$xB=round($donnees[$i][1]+$tailles[1]*cos($angle));
$yB=round($donnees[$i][2]-$tailles[1]*sin($angle));
if ($angle1<M_PI) 
{$chaine[$j]="M".$xA." ".$yA." A ".$tailles[1]." ".$tailles[1]." 0 0 0 ".$xB." ".$yB." L".$donnees[$i][1].",".$donnees[$i][2]." z";}
else
{$chaine[$j]="M".$xA." ".$yA." A ".$tailles[1]." ".$tailles[1]." 0 1 0 ".$xB." ".$yB." L".$donnees[$i][1].",".$donnees[$i][2]." z";}
$xA=$xB;$yA=$yB;}
$angle1=2*M_PI-$angle;
$xB=$tailles[1]+$donnees[$i][1];$yB=$donnees[$i][2];
if ($angle1<M_PI) 
{$chaine[$nbparts+1]="M".$xA." ".$yA." A ".$tailles[1]." ".$tailles[1]." 0 0 0 ".$xB." ".$yB." L".$donnees[$i][1].",".$donnees[$i][2]." z";}
else
{$chaine[$nbparts+1]="M".$xA." ".$yA." A ".$tailles[1]." ".$tailles[1]." 0 1 0 ".$xB." ".$yB." L".$donnees[$i][1].",".$donnees[$i][2]." z";}
$symboles[$i]="";
for ($j=1;$j<=$nbparts+1;$j++)
{$symboles[$i]=$symboles[$i]."<path id='pie".$i.$j."' d='".$chaine[$j]."' style='fill:".$couleur2[$j].";fill-opacity:".$opa2."'/>\n";}
}}
break;
CASE 3:
if (($donnees_s[1]!=-1)&&($donnees_s[2]!=-1))
{if ($taille=="N") {$tailles[1]=200;$tailles[2]=500;}
for ($i=1;$i<=2;$i++)
{if ($couleur2[$i]=="N") {$couleur2[$i]=$coul_def[$i];}}
$maximum=0;
for ($i=1;$i<=$nbregions;$i++)
{if (($donnees[$i][$donnees_s[1]]!="N/A")&&($donnees[$i][$donnees_s[2]]!="N/A"))
{$valeur=abs(($donnees[$i][$donnees_s[1]]-$donnees[$i][$donnees_s[2]])/$donnees[$i][$donnees_s[2]]);
if ($valeur>$maximum) {$maximum=$valeur;}}}
for ($i=1;$i<=$nbregions;$i++)
{$symboles[$i]=" ";
if (($donnees[$i][$donnees_s[1]]!="N/A")&&($donnees[$i][$donnees_s[2]]!="N/A"))
{$valeur=$donnees[$i][$donnees_s[1]]-$donnees[$i][$donnees_s[2]];
$hauteur=round($tailles[2]*$valeur/($maximum*$donnees[$i][$donnees_s[2]]));
$chaine="<rect id='barre1".$i."' x='".round($donnees[$i][1]-$tailles[1]/2)."' y='";
if ($hauteur<0)
{$chaine=$chaine.$donnees[$i][2]."' width='".$tailles[1]."' height='".abs($hauteur)."' ";
$chaine=$chaine."style='fill:".$couleur2[2].";fill-opacity:".$opa2."'/>\n";}
else
{$chaine=$chaine.round($donnees[$i][2]-$hauteur)."' width='".$tailles[1]."' height='".$hauteur."' ";
$chaine=$chaine."style='fill:".$couleur2[1].";fill-opacity:".$opa2."'/>\n";}
$symboles[$i]=$chaine."<path id='barre2".$i."' d='M".round($donnees[$i][1]-$tailles[1])." ".$donnees[$i][2]." ".round($donnees[$i][1]+$tailles[1])." ".$donnees[$i][2]."' ";
$symboles[$i]=$symboles[$i]."style='stroke:black;fill-opacity:".$opa2."'/>\n"; 
}}}
break;
CASE 4:
$nbparts=0;
for ($i=1;$i<=4;$i++)
{if ($donnees_s[$i]!=-1) {$nbparts=$nbparts+1;}}
if ($nbparts>0)
{if ($taille=="N") {$tailles[1]=200;$tailles[2]=500;}
for ($j=1;$j<=$nbparts;$j++)
{if ($couleur2[$j]=="N") {$couleur2[$j]=$coul_def[$j];}
$maximum[$j]=0;
for ($i=1;$i<=$nbregions;$i++)
{if ($donnees_s[5]!=-1) {if (($donnees[$i][$donnees_s[$j]]!="N/A")&&($donnees[$i][$donnees_s[5]]!="N/A"))
{$valeur=$donnees[$i][$donnees_s[$j]]/$donnees[$i][$donnees_s[5]];} else {$valeur="N/A";}} 
else 
{if ($donnees[$i][$donnees_s[$j]]!="N/A") {$valeur=$donnees[$i][$donnees_s[$j]];} else {$valeur="N/A";}}
if ($valeur!="N/A") {if ($valeur>$maximum[$j]) {$maximum[$j]=$valeur;}}}}
for ($i=1;$i<=$nbregions;$i++)
{$symboles[$i]=" ";
for ($j=1;$j<=$nbparts;$j++)
{if ($donnees_s[5]!=-1) {if (($donnees[$i][$donnees_s[$j]]!="N/A")&&($donnees[$i][$donnees_s[5]]!="N/A"))
{$valeur=$donnees[$i][$donnees_s[$j]]/$donnees[$i][$donnees_s[5]];} else {$valeur="N/A";}} 
else 
{if ($donnees[$i][$donnees_s[$j]]!="N/A") {$valeur=$donnees[$i][$donnees_s[$j]];} else {$valeur="N/A";}}
if ($valeur!="N/A")
{$hauteur=round($tailles[2]*$valeur/$maximum[$j]);
$chaine="<rect id='barre".$i.$j."' x='".round($donnees[$i][1]+(2*($j-1)-$nbparts)*$tailles[1]/2)."' y='";
if ($hauteur<0)
{$chaine=$chaine.$donnees[$i][2];} else {$chaine=$chaine.round($donnees[$i][2]-$hauteur);}
$chaine=$chaine."' width='".$tailles[1]."' height='".abs($hauteur)."' ";
$chaine=$chaine."style='fill:".$couleur2[$j].";fill-opacity:".$opa2."'/>\n";
if ($symboles[$i]==" ") {$symboles[$i]="";}
$symboles[$i]=$symboles[$i].$chaine;
}}}}
break;
CASE 5:
if ($donnees_s[1]!=-1) 
{$maison="<path d='M-50 -50l100 0 -50 -30 z' style='fill:black;stroke:black'/>\n";
$maison=$maison."<path d='M-45 -50l90 0 0 100 -90 0 z' style='fill:yellow;stroke:black'/>\n";
$maison=$maison."<path d='M-15 50l30 0 0 -40 -30 0 z M-30 -10l20 0 0 -20 -20 0 z M30 -10l-20 0 0 -20 20 0 z' style='fill:white;stroke:black'/>\n";
$maison=$maison."</g>\n";
if ($taille=="N") {$tailles[1]=1;$tailles[2]=3;}
minmax($donnees_s[1],$donnees_s[5]);
for ($i=1;$i<=$nbregions;$i++)
{$symboles[$i]=" ";
if ($donnees_s[5]!=-1) {if (($donnees[$i][$donnees_s[1]]!="N/A")&&($donnees[$i][$donnees_s[5]]!="N/A"))
{$valeur=$donnees[$i][$donnees_s[1]]/$donnees[$i][$donnees_s[5]];} else {$valeur="N/A";}} 
else 
{if ($donnees[$i][$donnees_s[1]]!="N/A") {$valeur=$donnees[$i][$donnees_s[1]];} else {$valeur="N/A";}}
if ($valeur!="N/A")
{$rayon=$tailles[1]+($tailles[2]-$tailles[1])*($valeur-$mini)/($maxi-$mini);
$symboles[$i]="<g id='maison".$i."' transform='matrix(".$rayon." 0 0 ".$rayon." ".$donnees[$i][1]." ".$donnees[$i][2].")' style='stroke-width:1;fill-opacity:".$opa2."'>\n";
$symboles[$i]=$symboles[$i].$maison;}}}
else
{for ($i=1;$i<=$nbregions;$i++)
{$symboles[$i]=" ";}}
break;
}
return $symboles;}}

function writeSVG ($styles,$symboles)
{ global $nbregions,$pathreg,$xrect,$yrect,$widthrect,$heightrect,$donnees,$don1,$don2,$remp;
  global $large,$haut,$pays,$symb,$motifs,$file;
  
print("<?xml version='1.0' encoding='iso-8859-1'?>\n");
print("<svg id='root' xml:space='preserve' width='".$large."' height='".$haut."' viewBox='".$xrect." ".$yrect." ".$widthrect." ".$heightrect."'>\n"); 
$debut=0;
for ($i=1;$i<=6;$i++)
{if ($motifs[$i]>0)
{if ($debut==0) {print("<defs>\n");$debut=1;require("textures.php3");}
print($texture[$motifs[$i]]."\n");}}
if ($debut>0) {print("</defs>\n");}
print("<script><![CDATA[\n");
print("donnees=new Array(\n");
for ($i=0;$i<=$nbregions;$i++)
{print("['".$donnees[$i][0]."',".$donnees[$i][1].",".$donnees[$i][2]);
if ($don1!=-1) {print(",");
if (($i<1)||($donnees[$i][$don1]=="N/A")) {print("'");}
print($donnees[$i][$don1]);
if (($i<1)||($donnees[$i][$don1]=="N/A")) {print("'");}}
if ($don2!=-1) {print(",");if ($i<1) {print("'");}
print($donnees[$i][$don2]);if ($i<1) {print("'");}}
print("]");if ($i<$nbregions) {print(",\n");}}
print(");\n");
print("var nb_regions=".$nbregions.",col1=-1,col2=-1,svgdoc='';\n");
print("var num_choisi=0,cible0='reg00',old_style='',message='".$don1."/".$don2."';\n");
print("function nommer(evt)\n");
print("{svgdoc=evt.getTarget().getOwnerDocument();");
print("cible=evt.getTarget().getAttribute('id');\n");
print("if (cible.substring(0,3)=='reg')");
print("{numero=parseInt(cible.substring(3,5),10);\n");
print("if (numero==0) {cible='reg00'};\n");
print("if (numero!=num_choisi)\n");
print("{obj=evt.getTarget().getOwnerDocument().getElementById('nom');\n");
print("obj.getStyle().setProperty('visibility','visible');\n");
print("obj.setAttribute('x',donnees[numero][1]);obj.setAttribute('y',donnees[numero][2]);\n");
print("child=obj.getFirstChild();child.setData(donnees[numero][0]);\n");
print("if (cible0!='reg00') {obj=evt.getTarget().getOwnerDocument().getElementById(cible0);\n");
print("obj.setAttribute('style',old_style)};\n");
print("if (cible!='reg00') {obj=evt.getTarget().getOwnerDocument().getElementById(cible);\n");
print("old_style=obj.getAttribute('style');obj.getStyle().setProperty('fill','yellow');\n");
print("obj.getStyle().setProperty('fill-opacity','0.5');\n");
print("obj=evt.getTarget().getOwnerDocument().getElementById('nom2');\n");
print("k=message.indexOf('/',0);param2=message.substring(k+1,message.toString().length);\n");
print("param1=message.substring(0,k);param2=message.substring(k+1,message.toString().length);\n");
print("col1=parseInt(param1);col2=parseInt(param2);\n");
print("if (col1!=-1) {col1=3};if (col2!=-1) {col2=4};\n");
print("if (col1!=-1)\n");
print("{if (col2==-1) {affiche=donnees[0][col1]}\n");
print("else {affiche=donnees[0][col1]+'/'+donnees[0][col2]};\n");
print("if (donnees[numero][col1]!='N/A')\n");
print("{if (col2==-1) {valeur=donnees[numero][col1]}\n");
print("else {valeur=donnees[numero][col1]/donnees[numero][col2]};\n");
print("valeur=Math.round(100*valeur)/100;message2=valeur.toString(10)} else {message2='?'};\n");
print("affiche=affiche+' '+message2;obj.getStyle().setProperty('visibility','visible');\n");
print("obj.setAttribute('x',donnees[numero][1]);obj.setAttribute('y',donnees[numero][2]+150);\n");
print("child=obj.getFirstChild();child.setData(affiche)}\n"); 
print("else {obj.getStyle().setProperty('visibility','hidden')}}\n");
print("else {obj=evt.getTarget().getOwnerDocument().getElementById('nom');\n");
print("obj.getStyle().setProperty('visibility','hidden');\n");
print("obj=evt.getTarget().getOwnerDocument().getElementById('nom2');\n");
print("obj.getStyle().setProperty('visibility','hidden');};\n");
print("num_choisi=numero;cible0=cible}}}\n");
print("]]></script>\n");
print("<g onmousemove='nommer(evt)' style='fill:#B7DDC8; stroke:black; stroke-width:1;fill-opacity:1.0'>\n");
print("<rect id='reg00' x='".$xrect."' y='".$yrect."' width='".$widthrect."' height='".$heightrect."' style='fill:white'/>\n");
if ($pays=="CEE-Pays")
{print("<path id='reg00a' style='fill:white;stroke:black' d='".$pathreg[0]."'/>\n");}
for ($i=1;$i<=$nbregions;$i++)
{if ($i<10) {$identite="reg0".$i;} else {$identite="reg".$i;} 
print("<path id='".$identite."' style='".$styles[$i]."' d='".$pathreg[$i]."'/>\n");}
if ($symb>0)
{for ($i=1;$i<=$nbregions;$i++)
{if ($symboles[$i]!=" ") {print( $symboles[$i]);}}}
print("<text id='nom' x='0' y='0' style='visibility:hidden;text-anchor:middle;font-size:120pt;font-family:Times Roman;fill:black'>?</text>\n");
print("<text id='nom2' x='0' y='0' style='visibility:hidden;text-anchor:middle;font-size:100pt;font-family:Times Roman;fill:black'>?</text>\n");
print("</g>\n");  
print("</svg>");
}

/*----------------------*/
/*        MAIN ?         --------------------------*/
/*----------------------*/
init_pays($pays);
require($file_data);   
require($file_carte);
$quartiles=analyse_quartile($quart,$nbquart);
$couleur=analyse_couleur($coul);
$couleur2=analyse_couleur2($coul2);
$motifs=analyse_motif($motif);
$opacites=analyse_opacite($opa,$nbquart);
$donnees_s=analyse_donnees($don3);
$tailles=analyse_taille($taille);
$styles=remplirSVG($remp,$couleur,$quartiles,$opacites);
$symboles=symbolesSVG($symb,$donnees_s,$couleur2,$opa2,$tailles);
writeSVG($styles,$symboles);
?>
